Loading...
Searching...
No Matches
doc_renameunitsidref_common Class Reference

## Detailed Description

  Replaces all uses of a given `UnitSIdRef` type attribute value with another value.

  In SBML, unit definitions have identifiers of type `UnitSId`. In SBML Level 3, an explicit data type called `UnitSIdRef` was introduced for attribute values that refer to `UnitSId` values; in previous Levels of SBML, this data type did not exist and attributes were simply described to as "referring to a unit identifier", but the effective data type was the same as `UnitSIdRef` in Level 3. These and other methods of libSBML refer to the type `UnitSIdRef` for all Levels of SBML, even if the corresponding SBML specification did not explicitly name the data type.

This method works by looking at all unit identifier attribute values (including, if appropriate, inside mathematical formulas), comparing the referenced unit identifiers to the value of `oldid`. If any matches are found, the matching values are replaced with `newid`. The method does not descend into child elements.

Parameters

  oldid | the old identifier.
  newid | the new identifier.